Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe
Class PrintSpec

    java.lang.Object
      javafe.Tool
          javafe.FrontEndTool
              javafe.SrcTool
                  javafe.PrintSpec

All Implemented Interfaces:
  Listener

public class PrintSpec
extends SrcTool

`PrintSpec` print specs for class files.

Nested Class Summary
`(package private) class` | `PrintSpec.PrintSpecPrettyPrint` * Keeping track of loaded CompilationUnits: * *

Field Summary

Fields inherited from class javafe.SrcTool
`loaded`

Fields inherited from class javafe.FrontEndTool
`compositeClassPath, compositeSourcePath`

Fields inherited from class javafe.Tool
`badUsageExitCode, errorExitCode, okExitCode, options, outOfMemoryExitCode`

Constructor Summary
`PrintSpec()`

Method Summary
`java.lang.String` | `FQNname(java.lang.String s)`
`java.lang.String[]` | `FQNpackage(java.lang.String s)`
`void` | `frontEndToolProcessing(java.util.ArrayList args)` Main processing loop for `SrcTool`.
`void` | `loadAndPrintSpec(java.lang.String s)`
`static void` | `main(java.lang.String[] args)` * Main processing code: * *
`private java.lang.String` | `makeDirTree(java.lang.String[] P)`
`java.lang.String` | `name()` Return the non-null name of this tool.
`void` | `setup()`

Methods inherited from class javafe.SrcTool
`handleAllCUs, handleCU, handleTD, loadAllFiles, loadInputEntry, makeOptions, notify, postload, postprocess, preload, preprocess, resolveInputEntry, resolveList`

Methods inherited from class javafe.FrontEndTool
`clear, handleOptions, makePragmaParser, makePrettyPrint, makeStandardTypeReader, makeTypeCheck, processOptions, run, setupPaths`

Methods inherited from class javafe.Tool
`badOptionUsage, currentTime, spaceUsed, timeUsed, usage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrintSpec

    public PrintSpec()

Method Detail

### name

    public java.lang.String name()

  Description copied from class: `Tool`
  Return the non-null name of this tool. E.g., "ls" or "cp". Used in usage and error messages.

  Specified by:
    `name` in class `Tool`

### setup

    public void setup()

  Overrides:
    `setup` in class `FrontEndTool`

### main

    public static void main(java.lang.String[] args)

  * Main processing code: * *

### FQNpackage

    public java.lang.String[] FQNpackage(java.lang.String s)

### FQNname

    public java.lang.String FQNname(java.lang.String s)

### makeDirTree

    private java.lang.String makeDirTree(java.lang.String[] P)

### loadAndPrintSpec

    public void loadAndPrintSpec(java.lang.String s)

### frontEndToolProcessing

    public final void frontEndToolProcessing(java.util.ArrayList args)

  Description copied from class: `SrcTool`
  Main processing loop for `SrcTool`.

  The remaining arguments are `args[offset]`, `args[offset+1]`, ...

  This method calls preload, loadAllFiles, postload, preprocess, handleAllCU, postprocess.

  Overrides:
    `frontEndToolProcessing` in class `SrcTool`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage